搜尋 Mozilla 技術支援網站

防止技術支援詐騙。我們絕對不會要求您撥打電話或發送簡訊,或是提供個人資訊。請用「回報濫用」功能回報可疑的行為。

Learn More

I have compatibilty issues with Firefox 7 and Beta 8. Where can I download an earlier version of Firefox which has worked for me in the past?

  • 1 回覆
  • 3 有這個問題
  • 最近回覆由 John99

more options

I am using Windows XP on an older Toshiba laptop. When using Firefox 7 or Beta 8, Yahoo mail does not have all its functionality, and the browsers hang when selecting sites such as ebay. I am not interested in troubleshooting Firefox 7 or 8, but I would like to download a version of Firefox 5, which has worked for me in the past.

I am using Windows XP on an older Toshiba laptop. When using Firefox 7 or Beta 8, Yahoo mail does not have all its functionality, and the browsers hang when selecting sites such as ebay. I am not interested in troubleshooting Firefox 7 or 8, but I would like to download a version of Firefox 5, which has worked for me in the past.

所有回覆 (1)

more options

The official line is that versions 4, 5 and 6 are no longer supported, or secure. Using them is not recommended as it increases risks to your system and data.

Firefox 3.6 is still supported and secure